/*=============================================================================
	UnExt.h: UnrealEngine Extension main header.
	
	Revision history:
		* Created by Sebastian Kaufel
=============================================================================*/

#ifndef UNEXT_GUID_ONLY
#define UNEXT_AUTOGENERATE_GUID(name,a,b,c,d) extern FGuid name;
#endif

// Version definition.
#define UNEXT_VERSION 20150504

// URenderDevice extensions.
#ifdef UNEXT_INCLUDE_RENDERDEVICES
#include "UnExtRenDev.h"
#endif

// UAudioSubsystem extensions.
#ifdef UNEXT_INCLUDE_AUDIOSUBSYSTEMS
#include "UnExtAudio.h"
#endif

#ifndef UNEXT_GUID_ONLY
#undef UNEXT_AUTOGENERATE_GUID
#endif NAMES_ONLY

/*----------------------------------------------------------------------------
	The End.
----------------------------------------------------------------------------*/
